package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import com.bpcl.core.jalo.BPCLChannelPartner;

@SLDSafe
public class LpgDeliveryAssistant extends BPCLChannelPartner
{
    public static final String DELIVERYASSISTANTCODE = "deliveryAssistantCode";
    public static final String DELIVERYASSISTANTNAME = "deliveryAssistantName";
    public static final String DELIVERYASSISTANTTYPE = "deliveryAssistantType";
    public static final String MOBILENO = "mobileNo";
    public static final String VEHICLETYPE = "vehicleType";
    public static final String VEHICLECAPACITY = "vehicleCapacity";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LpgDeliveryAssistant.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getDeliveryAssistantCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryAssistantCode".intern());
    }
    
    public String getDeliveryAssistantCode() {
        return this.getDeliveryAssistantCode(this.getSession().getSessionContext());
    }
    
    public void setDeliveryAssistantCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryAssistantCode".intern(), (Object)value);
    }
    
    public void setDeliveryAssistantCode(final String value) {
        this.setDeliveryAssistantCode(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryAssistantName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryAssistantName".intern());
    }
    
    public String getDeliveryAssistantName() {
        return this.getDeliveryAssistantName(this.getSession().getSessionContext());
    }
    
    public void setDeliveryAssistantName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryAssistantName".intern(), (Object)value);
    }
    
    public void setDeliveryAssistantName(final String value) {
        this.setDeliveryAssistantName(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryAssistantType(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryAssistantType".intern());
    }
    
    public String getDeliveryAssistantType() {
        return this.getDeliveryAssistantType(this.getSession().getSessionContext());
    }
    
    public void setDeliveryAssistantType(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryAssistantType".intern(), (Object)value);
    }
    
    public void setDeliveryAssistantType(final String value) {
        this.setDeliveryAssistantType(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileNo".intern());
    }
    
    public String getMobileNo() {
        return this.getMobileNo(this.getSession().getSessionContext());
    }
    
    public void setMobileNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileNo".intern(), (Object)value);
    }
    
    public void setMobileNo(final String value) {
        this.setMobileNo(this.getSession().getSessionContext(), value);
    }
    
    public Integer getVehicleCapacity(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "vehicleCapacity".intern());
    }
    
    public Integer getVehicleCapacity() {
        return this.getVehicleCapacity(this.getSession().getSessionContext());
    }
    
    public int getVehicleCapacityAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getVehicleCapacity(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getVehicleCapacityAsPrimitive() {
        return this.getVehicleCapacityAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setVehicleCapacity(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "vehicleCapacity".intern(), (Object)value);
    }
    
    public void setVehicleCapacity(final Integer value) {
        this.setVehicleCapacity(this.getSession().getSessionContext(), value);
    }
    
    public void setVehicleCapacity(final SessionContext ctx, final int value) {
        this.setVehicleCapacity(ctx, Integer.valueOf(value));
    }
    
    public void setVehicleCapacity(final int value) {
        this.setVehicleCapacity(this.getSession().getSessionContext(), value);
    }
    
    public String getVehicleType(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "vehicleType".intern());
    }
    
    public String getVehicleType() {
        return this.getVehicleType(this.getSession().getSessionContext());
    }
    
    public void setVehicleType(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "vehicleType".intern(), (Object)value);
    }
    
    public void setVehicleType(final String value) {
        this.setVehicleType(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>(BPCLChannelPartner.DEFAULT_INITIAL_ATTRIBUTES);
        tmp.put("deliveryAssistantCode", Item.AttributeMode.INITIAL);
        tmp.put("deliveryAssistantName", Item.AttributeMode.INITIAL);
        tmp.put("deliveryAssistantType", Item.AttributeMode.INITIAL);
        tmp.put("mobileNo", Item.AttributeMode.INITIAL);
        tmp.put("vehicleType", Item.AttributeMode.INITIAL);
        tmp.put("vehicleCapacity", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
